Gecode::Int::TaskViewTraits< TaskView > Class Template Reference

Traits class for mapping task views to tasks. More...

`#include <task.hh>`

## Detailed Description

template<class TaskView>
class Gecode::Int::TaskViewTraits< TaskView >

Traits class for mapping task views to tasks.

Each task view must specialize this traits class and add a

typedef

for the task corresponding to this task view.

Definition at line 148 of file task.hh.

The documentation for this class was generated from the following file:

- gecode/int/task.hh